<?php
/*------------------------------------------------------------------------
# com_zhgooglemap - Zh GoogleMap
# ------------------------------------------------------------------------
# author    Dmitry Zhuk
# copyright Copyright (C) 2011 zhuk.cc. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
# Websites: http://zhuk.cc
# Technical Support Forum: http://forum.zhuk.cc/
-------------------------------------------------------------------------*/
// No direct access
defined('_JEXEC') or die('Restricted access');
  
?>

<script type="text/javascript">
/* bugfix for mootools and jquery conflict in joomla */
if (typeof jQuery != 'undefined') { 
(function($) { 
       $(document).ready(function(){
        $('.carousel').each(function(index, element) {
                $(this)[index].slide = null;
               });
         });
 })(jQuery);
}
</script>

<?php 
	$document = JFactory::getDocument();
	if ((int)$this->state->get('placemark.load_bootstrap') == 0
	 || (int)$this->state->get('placemark.load_bootstrap') == 1 )
	{
		$document->addStyleSheet(JURI::root().'components/com_zhgooglemap/assets/bootstrap/css/bootstrap.min.css');
		$document->addStyleSheet(JURI::root().'components/com_zhgooglemap/assets/bootstrap/css/bootstrap-responsive.min.css');
	}
	$document->addStyleSheet(JURI::root().'components/com_zhgooglemap/assets/css/placemark-common.css');
	
	if ((int)$this->state->get('placemark.load_bootstrap') == 0)
	{
		$document->addScript(JURI::root().'components/com_zhgooglemap/assets/bootstrap/js/bootstrap.min.js');
	}
	
	$current_image_idx = 0; 
	$current_indicator_idx = 0; 
	
	function get_Slide($pi_idx, $pi_image, $pi_title, $pi_descr) {
		$cur_image_idx = $pi_idx;
		if ( $pi_image != "") 
		{
			$cur_image_idx += 1;

			echo "\n"."<div class=\"item zhgm-placemarkCarouselImg";
			
			if ($cur_image_idx == 1) 
			echo " active";
			echo "\">"."\n";
			
			echo "<img alt=\"\" src=\"";
			echo $pi_image; 
			echo "\">"."\n";
			if ($pi_title != "" || $pi_descr != "")
			{
				echo "<div class=\"carousel-caption\">";
				if ($pi_title != "")
				{
					echo "<h4>";
					echo $pi_title; 
				echo "</h4>"."\n";
				}
				if ($pi_descr != "")
				{
					echo $pi_descr;
				}
				echo "</div>"."\n";
			}
			echo "</div>"."\n";
		}		
		return $cur_image_idx;
	}


	function get_SlideIndex($pi_idx, $pi_image, $pi_title, $pi_descr) {
		$cur_image_idx = $pi_idx;
		if ( $pi_image != "") 
		{
			$cur_image_idx += 1;

			echo "\n"."<li class=\"";
			
			if ($cur_image_idx == 1)
			{			
				echo "active\"";
			}
			else
			{
				echo "\"";
			}
			echo " data-slide-to=\"".($cur_image_idx-1)."\" data-target=\"#zhgmCarousel\"";

			echo ">";
			echo "</li>"."\n";
		}		
		return $cur_image_idx;
	}	
	
	function get_SlideNeed($pi_image, $pi_title, $pi_descr) {
		if ( $pi_image != "") 
		{
			$ret_val = 1;
		}	
		else
		{
			$ret_val = 0;
		}
		return $ret_val;
	}	
	
?>	

						
	<div class="row-fluid">
		<div class="span12">
			<h2>
			<?php echo $this->escape($this->item->title); ?>
			</h2>
		</div>
	</div>
	<div class="row-fluid">
		<?php if ($this->item->hrefimagethumbnail == ""
		      || (int)$this->state->get('placemark.thumbnail') == 0)
		{
		?>
		<div class="span12">
			<h3>
			<?php echo $this->escape($this->item->description); ?>
			</h3>
		</div>
		<?php
		}
		else
		{
		?>
		<div class="span8">
			<h3>
			<?php echo $this->escape($this->item->description); ?>
			</h3>
		</div>
		<div class="span4">
			<?php
			if ($this->item->hrefimagethumbnail!="")
			{
				$tmp_image_path = strtolower($this->item->hrefimagethumbnail);
				
				if (substr($tmp_image_path,0,5) == "http:"
				|| substr($tmp_image_path,0,6) == "https:"
				|| substr($tmp_image_path,0,1) == "/"
				|| substr($tmp_image_path,0,1) == ".")
				{
					$tmp_image_path_add = "";
				}
				else
				{
					$tmp_image_path_add = "/";
				}
				echo '<img src="'.$tmp_image_path_add . $this->item->hrefimagethumbnail.'" alt="" class="zhgm-placemarkDetailImg" />'."\n";
			}
			?>
		</div>
		<?php
		}
		?>		
	</div>	
	<?php /*
	<div class="row-fluid">
		<div class="span12">
			<span>
			Images .... 
			</span>
		</div>
	</div> */
	?>	
	<div class="row-fluid">
	<?php
		if (((int)$this->state->get('placemark.imagegalery') == 1 )
		 &&
		  ( get_SlideNeed($this->item->tab1image, $this->item->tab1title, $this->item->tab1)
			|| get_SlideNeed($this->item->tab2image, $this->item->tab2title, $this->item->tab2)
			|| get_SlideNeed($this->item->tab3image, $this->item->tab3title, $this->item->tab3)
			|| get_SlideNeed($this->item->tab4image, $this->item->tab4title, $this->item->tab4)
			|| get_SlideNeed($this->item->tab5image, $this->item->tab5title, $this->item->tab5)
			|| get_SlideNeed($this->item->tab6image, $this->item->tab6title, $this->item->tab6)
			|| get_SlideNeed($this->item->tab7image, $this->item->tab7title, $this->item->tab7)
			|| get_SlideNeed($this->item->tab8image, $this->item->tab8title, $this->item->tab8)
			|| get_SlideNeed($this->item->tab9image, $this->item->tab9title, $this->item->tab9)
			|| get_SlideNeed($this->item->tab10image, $this->item->tab10title, $this->item->tab10)
			|| get_SlideNeed($this->item->tab11image, $this->item->tab11title, $this->item->tab11)
			|| get_SlideNeed($this->item->tab12image, $this->item->tab12title, $this->item->tab12)
			|| get_SlideNeed($this->item->tab13image, $this->item->tab13title, $this->item->tab13)
			|| get_SlideNeed($this->item->tab14image, $this->item->tab14title, $this->item->tab14)
			|| get_SlideNeed($this->item->tab15image, $this->item->tab15title, $this->item->tab15)
			|| get_SlideNeed($this->item->tab16image, $this->item->tab16title, $this->item->tab16)
			|| get_SlideNeed($this->item->tab17image, $this->item->tab17title, $this->item->tab17)
			|| get_SlideNeed($this->item->tab18image, $this->item->tab18title, $this->item->tab18)
			|| get_SlideNeed($this->item->tab19image, $this->item->tab19title, $this->item->tab19)))
		{
		?>	
		<div class="span8">
				<div id="zhgmCarousel" class="carousel slide">
					<ol class="carousel-indicators">
					<?php 
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab1image, $this->item->tab1title, $this->item->tab1);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab2image, $this->item->tab2title, $this->item->tab2);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab3image, $this->item->tab3title, $this->item->tab3);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab4image, $this->item->tab4title, $this->item->tab4);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab5image, $this->item->tab5title, $this->item->tab5);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab6image, $this->item->tab6title, $this->item->tab6);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab7image, $this->item->tab7title, $this->item->tab7);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab8image, $this->item->tab8title, $this->item->tab8);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab9image, $this->item->tab9title, $this->item->tab9);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab10image, $this->item->tab10title, $this->item->tab10);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab11image, $this->item->tab11title, $this->item->tab11);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab12image, $this->item->tab12title, $this->item->tab12);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab13image, $this->item->tab13title, $this->item->tab13);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab14image, $this->item->tab14title, $this->item->tab14);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab15image, $this->item->tab15title, $this->item->tab15);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab16image, $this->item->tab16title, $this->item->tab16);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab17image, $this->item->tab17title, $this->item->tab17);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab18image, $this->item->tab18title, $this->item->tab18);
						$current_indicator_idx = get_SlideIndex($current_indicator_idx, $this->item->tab19image, $this->item->tab19title, $this->item->tab19);
						?>
					</ol>
					<div class="carousel-inner">
						
						<?php 
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab1image, $this->item->tab1title, $this->item->tab1);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab2image, $this->item->tab2title, $this->item->tab2);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab3image, $this->item->tab3title, $this->item->tab3);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab4image, $this->item->tab4title, $this->item->tab4);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab5image, $this->item->tab5title, $this->item->tab5);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab6image, $this->item->tab6title, $this->item->tab6);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab7image, $this->item->tab7title, $this->item->tab7);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab8image, $this->item->tab8title, $this->item->tab8);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab9image, $this->item->tab9title, $this->item->tab9);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab10image, $this->item->tab10title, $this->item->tab10);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab11image, $this->item->tab11title, $this->item->tab11);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab12image, $this->item->tab12title, $this->item->tab12);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab13image, $this->item->tab13title, $this->item->tab13);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab14image, $this->item->tab14title, $this->item->tab14);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab15image, $this->item->tab15title, $this->item->tab15);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab16image, $this->item->tab16title, $this->item->tab16);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab17image, $this->item->tab17title, $this->item->tab17);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab18image, $this->item->tab18title, $this->item->tab18);
							$current_image_idx = get_Slide($current_image_idx, $this->item->tab19image, $this->item->tab19title, $this->item->tab19);
						?>		
					</div>
						<a class="left carousel-control" data-slide="prev" href="#zhgmCarousel">&lsaquo;</a>
						<a class="right carousel-control" data-slide="next" href="#zhgmCarousel">&rsaquo;</a>
				</div>
		</div>
		<div class="span4">
		<?php
		}
		else
		{
		?>	
		<div class="span12">
		<?php
		}
		?>	
			<div id="GMapsID" class="zhgm-placemarkDetailMap">
			</div>
			<div id="GMapsCredit" class="zhgm-credit">
			</div>

			<?php echo $this->mapscriptheader; ?>

			<script type="text/javascript" >/*<![CDATA[*/

				<?php echo $this->mapscript; ?>
			
			/*]]>*/</script>

		</div>
	</div>	
	<div class="row-fluid">
		<div class="span12">
			<?php echo $this->item->descriptionhtml; ?>
		</div>
	</div>		
	