<?php
/*------------------------------------------------------------------------
# com_zhgooglemap - Zh GoogleMap
# ------------------------------------------------------------------------
# author    Dmitry Zhuk
# copyright Copyright (C) 2011 zhuk.cc. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
# Websites: http://zhuk.cc
# Technical Support Forum: http://forum.zhuk.cc/
-------------------------------------------------------------------------*/
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * ZhGoogle Placemark View
 */
class ZhGoogleMapViewPlacemark extends JViewLegacy
{

	protected $state;
	protected $item;
	protected $form;
	protected $script;

	
	/**
	 * display method of ZhGoogle Placemark view
	 * @return void
	 */
	public function display($tpl = null) 
	{

		$app        = JFactory::getApplication();
		$params     = $app->getParams();
		$dispatcher = JDispatcher::getInstance();

		// get the Data
		$this->form = $this->get('Form');
		$this->item = $this->get('Item');
		$this->script = $this->get('Script');
		$this->state = $this->get('State');	

		$mapscriptheader = $this->get('MapScriptHeader');
		$this->assignRef( 'mapscriptheader',	$mapscriptheader );

		$mapscript = $this->get('MapScript');
		$this->assignRef( 'mapscript',	$mapscript );
		
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}

		// Set the toolbar
		//$this->addToolBar();


		// Display the template
		parent::display($tpl);


	}

}
